/**
* Copyright (c) 2005, Freescale Semiconductor
* Freescale Willy Note
*
* File name : main.c
* Project name: SPI_MASTER_GB60.mcp
*
* Author : Rogelio Gonzalez
* Department : RTAC Americas
*
* Description: 
*              
*   This project (SPI_MASTER_GB60.mcp) in addition to the project
*   SPI_SLAVE_GB60.mcp, illustrates a very simple use for the SPI
*   module. For this example, the master sends an increasing counter 
*   to the slave. The Device Initialization tool was used to 
*   configure the required modules for this example. 
*               
*        + The SPI module was configured with the following parameters:
*           A 15.625 KHz SPI frequency accomplished with a Baud Rate 
*           prescaler value of 4, Baud Rate divisor value of 64, the 
*           mcu's clock settings have to be configured in self-clock
*           mode.  MASTER MODE selected, active-high polarity,
*           the First edge occurring at the middle of cycle, SPI serial 
*           data transfers starts with Most Significant bit,bidirectional 
*           mode disabled, Output enable in bidirectional mode disabled, 
*           SPI clocks operate in wait mode, SS1 used as GPIO, SPI Transmit 
*           Interrupt Disabled, SPI Receive and fault interrupt Enabled, 
*           SPI System Enabled.
*         
*       + COP Watchdog is disabled for this example
*         
*       + PTF0 and PTF1 were enabled as outputs.
*
*               The initialization of the module is the Device Initialization tool 
*               automatically generated MCUinit.c code, which was included in this 
*               project.
*
*               This example was explicitly made for the MC9S08GB60 microcontroller 
*               migrating may need some changes in the code.
*           
*               (Refer to AN3136 for more information about Device Initialization)
*
* History     :
* 27/07/2004  : Release. (A20639)
* 10/08/2005  : Migration to S08 (A19259)
* 26/10/2005  : Migration to CW 4.0 and Device Initialization(r12370c)
*/

#include <hidef.h> /* for EnableInterrupts macro */
#include "derivative.h" /* include peripheral declarations */
#include "MCUinit.h"

unsigned char CurrentByte = 0;
		unsigned int tmp;

void SPISendChar (unsigned char data);

void main(void) {

    MCU_init();

  for(;;) {

		for (tmp=0;tmp<35000;tmp++); /*delay*/
		SPISendChar(CurrentByte);		 /*send counter to slave*/
		CurrentByte++;							 /*increase counter*/
		PTFD_PTFD0 = ~PTFD_PTFD0;		 /* toggle LED */
  } 
}

void SPISendChar (unsigned char data){

    while (!SPI1S_SPTEF);	  /* wait until transmit buffer is empty*/
    
    PTED_PTED2 = 0;				  /* Slave Select set in low*/
    SPI1D = data;					  /* Transmit counter*/

}
