/*
** ###################################################################
**     THIS MODULE IS GENERATED BY THE TOOL. DO NOT MODIFY IT.
**     Project   : TPM_IC_GB60
**     Processor : MC9S08GB60CFU
**     Version   : Bean 01.127, Driver 01.00, CPU db: 2.87.159
**     Datasheet : MC9S08GB60/D Rev. 2.3 12/2004
**     Date/Time : 10/22/2005, 3:28 PM
**     Abstract  :
**         This module contains device initialization code 
**         for selected on-chip peripherals.
**     Contents  :
**         Function "MCU_init" initializes selected peripherals
**
**     (c) Copyright UNIS, spol. s r.o. 1997-2005
**     UNIS, spol s r.o.
**     Jundrovska 33
**     624 00 Brno
**     Czech Republic
**     http      : www.processorexpert.com
**     mail      : info@processorexpert.com
** ###################################################################
*/

#include <MC9S08GB60.h>                /* I/O map */


/*
** ===================================================================
**     Method      :  MCU_init (bean MC9S08GB60)
**
**     Description :
**         Device initialization code for selected peripherals.
** ===================================================================
*/
void MCU_init(void)
{
  /* ### MC9S08GB60 "Cpu" init code ... */
  /*  PE initialization code after reset */
  /*  System clock initialization */
  /* SOPT: COPE=0,COPT=1,STOPE=0,BKGDPE=1 */
  SOPT = 0x53;                                      
  /* SPMSC1: LVDF=0,LVDACK=0,LVDIE=0,LVDRE=1,LVDSE=1,LVDE=1 */
  SPMSC1 = 0x1C;                                      
  /* SPMSC2: LVWF=0,LVWACK=0,LVDV=0,LVWV=0,PPDF=0,PPDACK=0,PDC=0,PPDC=0 */
  SPMSC2 = 0x00;                                      
  /* ICGC1: RANGE=1,REFS=0,CLKS1=0,CLKS0=0,OSCSTEN=1 */
  ICGC1 = 0x44;                                      
  /* ICGC2: LOLRE=0,MFD2=0,MFD1=0,MFD0=0,LOCRE=0,RFD2=0,RFD1=0,RFD0=0 */
  ICGC2 = 0x00;                                      
  /* Common initialization of the write once registers */

  /* Common initialization of the CPU registers */
  /* PTDPE: PTDPE1=0 */
  PTDPE &= (unsigned char)~0x02;                              
  /* PTASE: PTASE7=0,PTASE6=0,PTASE5=0,PTASE4=0,PTASE3=0,PTASE2=0,PTASE1=0,PTASE0=0 */
  PTASE = 0x00;                                      
  /* PTBSE: PTBSE7=0,PTBSE6=0,PTBSE5=0,PTBSE4=0,PTBSE3=0,PTBSE2=0,PTBSE1=0,PTBSE0=0 */
  PTBSE = 0x00;                                      
  /* PTCSE: PTCSE7=0,PTCSE6=0,PTCSE5=0,PTCSE4=0,PTCSE3=0,PTCSE2=0,PTCSE1=0,PTCSE0=0 */
  PTCSE = 0x00;                                      
  /* PTDSE: PTDSE7=0,PTDSE6=0,PTDSE5=0,PTDSE4=0,PTDSE3=0,PTDSE2=0,PTDSE1=0,PTDSE0=0 */
  PTDSE = 0x00;                                      
  /* PTESE: PTESE7=0,PTESE6=0,PTESE5=0,PTESE4=0,PTESE3=0,PTESE2=0,PTESE1=0,PTESE0=0 */
  PTESE = 0x00;                                      
  /* PTFSE: PTFSE7=0,PTFSE6=0,PTFSE5=0,PTFSE4=0,PTFSE3=0,PTFSE2=0,PTFSE1=0,PTFSE0=0 */
  PTFSE = 0x00;                                      
  /* PTGSE: PTGSE7=0,PTGSE6=0,PTGSE5=0,PTGSE4=0,PTGSE3=0,PTGSE2=0,PTGSE1=0,PTGSE0=0 */
  PTGSE = 0x00;                                      
  /* ### Init_TPM init code */
  TPM1MOD = 0x00;                                      
  /* TPM1C1SC: CH1F=0,CH1IE=1,MS1B=0,MS1A=0,ELS1B=0,ELS1A=1 */
  TPM1C1SC = 0x44;                                      

  /* TPM1SC: TOF=0,TOIE=0,CPWMS=0,CLKSB=0,CLKSA=1,PS2=1,PS1=1,PS0=1 */
  TPM1SC = 0x0F;                                      
  /* ### Init_GPIO init code */
  /* PTFD: PTFD7=0,PTFD6=0,PTFD5=0,PTFD4=0,PTFD3=0,PTFD2=0,PTFD1=0,PTFD0=0 */
  PTFD = 0x00;                                      
  /* PTFPE: PTFPE7=0,PTFPE6=0,PTFPE5=0,PTFPE4=0,PTFPE3=0,PTFPE2=0,PTFPE1=0,PTFPE0=0 */
  PTFPE = 0x00;                                      
  /* PTFDD: PTFDD7=1,PTFDD6=1,PTFDD5=1,PTFDD4=1,PTFDD3=1,PTFDD2=1,PTFDD1=1,PTFDD0=1 */
  PTFDD = 0xFF;                                      
  /* ### Init_COP init code */
  SRS = 0xFF;                          /* Clear WatchDog counter */

  /* ### */
  asm CLI;                             /* Enable interrupts */
} /*MCU_init*/


/*
** ===================================================================
**     Interrupt handler : Vtpm1ch1_isr
**
**     Description :
**         User interrupt service routine. 
**     Parameters  : None
**     Returns     : Nothing
** ===================================================================
*/
__interrupt void Vtpm1ch1_isr(void)
{

  TPM1C1SC_CH1F = 0;    /* ACK channel interrupt */
                        /* Reading flag, then write a zero to the bit. */ 
    
  PTFD = TPM1C1VH;       /* Output high timer result through PTF */
  
}
/* end of Vtpm1ch1_isr */



/* Initialization of the CPU registers in FLASH */

/* NVPROT: FPOPEN=1,FPDIS=1,FPS2=1,FPS1=1,FPS0=1 */
const volatile NVPROTSTR _NVPROT @0x0000FFBD = { 0xFF };

/* NVOPT: KEYEN=0,FNORED=1,SEC01=1,SEC00=0 */
const volatile NVOPTSTR _NVOPT @0x0000FFBF = { 0x7E };



extern void _Startup(void);

/* Interrupt vector table */
#define UNASSIGNED_ISR 0xFFFF          /* unassigned interrupt service routine */

void (* const _vect[])() @0xFFCC = {   /* Interrupt vector table */
         UNASSIGNED_ISR,               /* Int.no.  0 Vrti (at FFCC)                  Unassigned */
         UNASSIGNED_ISR,               /* Int.no.  1 Viic1 (at FFCE)                 Unassigned */
         UNASSIGNED_ISR,               /* Int.no.  2 Vatd1 (at FFD0)                 Unassigned */
         UNASSIGNED_ISR,               /* Int.no.  3 Vkeyboard1 (at FFD2)            Unassigned */
         UNASSIGNED_ISR,               /* Int.no.  4 Vsci2tx (at FFD4)               Unassigned */
         UNASSIGNED_ISR,               /* Int.no.  5 Vsci2rx (at FFD6)               Unassigned */
         UNASSIGNED_ISR,               /* Int.no.  6 Vsci2err (at FFD8)              Unassigned */
         UNASSIGNED_ISR,               /* Int.no.  7 Vsci1tx (at FFDA)               Unassigned */
         UNASSIGNED_ISR,               /* Int.no.  8 Vsci1rx (at FFDC)               Unassigned */
         UNASSIGNED_ISR,               /* Int.no.  9 Vsci1err (at FFDE)              Unassigned */
         UNASSIGNED_ISR,               /* Int.no. 10 Vspi1 (at FFE0)                 Unassigned */
         UNASSIGNED_ISR,               /* Int.no. 11 Vtpm2ovf (at FFE2)              Unassigned */
         UNASSIGNED_ISR,               /* Int.no. 12 Vtpm2ch4 (at FFE4)              Unassigned */
         UNASSIGNED_ISR,               /* Int.no. 13 Vtpm2ch3 (at FFE6)              Unassigned */
         UNASSIGNED_ISR,               /* Int.no. 14 Vtpm2ch2 (at FFE8)              Unassigned */
         UNASSIGNED_ISR,               /* Int.no. 15 Vtpm2ch1 (at FFEA)              Unassigned */
         UNASSIGNED_ISR,               /* Int.no. 16 Vtpm2ch0 (at FFEC)              Unassigned */
         UNASSIGNED_ISR,               /* Int.no. 17 Vtpm1ovf (at FFEE)              Unassigned */
         UNASSIGNED_ISR,               /* Int.no. 18 Vtpm1ch2 (at FFF0)              Unassigned */
         Vtpm1ch1_isr,                 /* Int.no. 19 Vtpm1ch1 (at FFF2)              Used */
         UNASSIGNED_ISR,               /* Int.no. 20 Vtpm1ch0 (at FFF4)              Unassigned */
         UNASSIGNED_ISR,               /* Int.no. 21 Vicg (at FFF6)                  Unassigned */
         UNASSIGNED_ISR,               /* Int.no. 22 Vlvd (at FFF8)                  Unassigned */
         UNASSIGNED_ISR,               /* Int.no. 23 Virq (at FFFA)                  Unassigned */
         UNASSIGNED_ISR,               /* Int.no. 24 Vswi (at FFFC)                  Unassigned */
         _Startup                      /* Int.no. 25 Vreset (at FFFE)                Reset vector */
 };




/* END */

/*
** ###################################################################
**
**     This file was created by UNIS Processor Expert 2.97 BETA [03.72]
**     for the Freescale HCS08 series of microcontrollers.
**
** ###################################################################
*/
