/**
* Copyright (c) 2005, Freescale Semiconductor
* Freescale Willy Note
*
* File name : main.c
* Project name: Stop_Mode_QG.mcp
*
* Author : Gabriel Sanchez Barba
*          Gonzalo Delgado Huitron
* Department : RTAC Americas
*
* Description : This example illustrates the use of the Stop modes in 
*               the MC9S08QG8 microcontroller. This example will show
*               the 3 diferent Stop modes available.LEDs will flash 
*               according to the Stop modeThis project was made with 
*               the Device Initialization tool which sets the module, 
*               according to the user's needs. For this example, the 
*               Stop modes need to be configured to comply with the 
*               following requirements:
*                       + IRQ in PTA5 enabled used to exit stop modes
*                       + Stop modes enabled  
*                       + LVD disabled  
*                       + COP is disabled 
*                       + LEDs are controlled by PTB6 and PTB7 
*
*                            
* (Refer to AN3136 for more information about Device Initialization)
*
* History :   
* 10/08/2005  : Release (rgd04c)
*/
#include <hidef.h> /* for EnableInterrupts macro */
#include "derivative.h" /* include peripheral declarations */
#include "MCUinit.h"

#define LED0    PTBD_PTBD6		 /*Define LED 0 position in port A*/
#define LED1    PTBD_PTBD7		 /*Define LED 1 position in port A*/

/*
 * Delay:      This function is for delay purposes only
 *
 * Parameters: None
 *
 * Return : None
 */
void Delay(void){
  unsigned int b;
  unsigned char a;
  for(a=0;a<0x09;a++)
  {
      for(b=0;b<0xFFFF;b++)
      {
        ;
      }
  }
}


void main(void) {

MCU_init();
  EnableInterrupts;      /* enable interrupts */
  											 
  if(SPMSC2_PPDF==1){		 /* If MCU recovered from Stop 2 mode*/
      SPMSC2 = 0x06;		 /* Clears PPDF flag and stop mode 1 enabled*/
      LED0 = 0;					 /* Turns off led 0*/
      LED1 = 1;					 /* Turns on led 1*/
      Delay();
      Delay();
      asm stop;					 /*Stop instruction using Mode 1*/
  }
  SPMSC2 = 0x00;				 /*Stop mode 3 enabled*/
	LED0 = 0;							 /* Turns off led 0*/
	LED1 = 0;							 /* Turns off led 1*/
	Delay();
  PTAD = 0x0E;
  asm stop;							 /*Stop instruction using Mode 3*/
  SPMSC2=0x03;					 /*Stop mode 2 enabled*/
  LED0 = 1;							 /* Turns on led 0*/
  LED1 = 0;							 /* Turns off led 0*/
  Delay();  						 /*Stop instruction using Mode 2*/
  asm stop;
  for(;;){
      LED0 = ~LED0;			 /*Blink leds*/
      LED1 = ~LED1;
  }
  /* please make sure that you never leave this function */
}
